Skip to content
CARP Docs
Ask AISystemLightDark

Get config

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
GET
/api/studies/{study-id}/self-signup

Current self-signup config/status for the study (short code, enabled, cap, current count), or null if self-signup has never been enabled.

bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

study-id*string

Response body

OK

*/*
  1. response
shortCode?string
enabled?boolean
participantRoleName?string
maxParticipants?integer
Formatint32
currentParticipantCount?integer
Formatint32
Example request
curl -X GET 'https://dev.carp.dk/api/studies/string/self-signup'
Example response
{  "shortCode": "string",  "enabled": true,  "participantRoleName": "string",  "maxParticipants": 0,  "currentParticipantCount": 0}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture